For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsAPI ReferenceChangelog
OverviewInquiriesTransactionsAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
      • GETList all Transactions
      • POSTCreate a Transaction
      • GETRetrieve a Transaction
      • DELRedact a Transaction
      • PATCHUpdate a Transaction
      • POSTAdd tag to Transaction
      • POSTCreate a Transaction label
      • POSTRemove tag from a Transaction
      • POSTSets tags on a Transaction
      • POSTRedact Transaction biometrics
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceTransactions

Retrieve a Transaction

GET
https://api.withpersona.com/api/v1/transactions/:transaction-id
GET
/api/v1/transactions/:transaction-id
$curl https://api.withpersona.com/api/v1/transactions/transaction-id \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "id": "txn_ABC123",
4 "attributes": {
5 "status": "declined",
6 "fields": {
7 "country": {
8 "type": "string",
9 "value": "US"
10 },
11 "name-first": {
12 "type": "string",
13 "value": "LeBron"
14 },
15 "name-last": {
16 "type": "string",
17 "value": "James"
18 },
19 "selected-id-class": {
20 "type": "string",
21 "value": "dl"
22 },
23 "front-photo": {
24 "type": "file",
25 "value": {
26 "filename": "image.png",
27 "byte-size": 237011,
28 "mime-type": "image/png",
29 "url": "https://files.withpersona.com/image.png?access_token=ACCESS_ABC123"
30 }
31 },
32 "back-photo": {
33 "type": "file",
34 "value": {
35 "filename": "image.png",
36 "byte-size": 237011,
37 "mime-type": "image/png",
38 "url": "https://files.withpersona.com/image.png?access_token=ACCESS_ABC123"
39 }
40 }
41 },
42 "tags": [],
43 "created-at": "2023-05-26T16:49:33.860Z",
44 "updated-at": "2023-05-26T16:49:43.965Z"
45 },
46 "relationships": {
47 "reviewer": {
48 "data": {
49 "type": "workflow-run",
50 "id": "wfr_ABC123"
51 }
52 },
53 "transaction-label": {},
54 "transaction-type": {
55 "data": {
56 "type": "transaction-type",
57 "id": "txntp_ABC123"
58 }
59 },
60 "related-objects": {
61 "data": [
62 {
63 "type": "account",
64 "id": "act_ABC123"
65 },
66 {
67 "type": "verification/government-id",
68 "id": "ver_ABC123"
69 }
70 ]
71 }
72 },
73 "type": "transaction"
74 },
75 "included": [
76 {
77 "type": "account",
78 "id": "act_ABC123",
79 "attributes": {
80 "reference-id": null,
81 "created-at": "2023-05-26T16:49:35.000Z",
82 "updated-at": "2023-05-26T16:49:35.000Z",
83 "redacted-at": null,
84 "fields": {
85 "name": {
86 "type": "hash",
87 "value": {
88 "first": {
89 "type": "string",
90 "value": null
91 },
92 "middle": {
93 "type": "string",
94 "value": null
95 },
96 "last": {
97 "type": "string",
98 "value": null
99 }
100 }
101 },
102 "address": {
103 "type": "hash",
104 "value": {
105 "street-1": {
106 "type": "string",
107 "value": null
108 },
109 "street-2": {
110 "type": "string",
111 "value": null
112 },
113 "subdivision": {
114 "type": "string",
115 "value": null
116 },
117 "city": {
118 "type": "string",
119 "value": null
120 },
121 "postal-code": {
122 "type": "string",
123 "value": null
124 },
125 "country-code": {
126 "type": "string",
127 "value": null
128 }
129 }
130 },
131 "identification-numbers": {
132 "type": "array",
133 "value": []
134 },
135 "birthdate": {
136 "type": "date",
137 "value": null
138 },
139 "phone-number": {
140 "type": "string",
141 "value": null
142 },
143 "email-address": {
144 "type": "string",
145 "value": null
146 },
147 "selfie-photo": {
148 "type": "file",
149 "value": null
150 }
151 },
152 "country-code": null,
153 "tags": []
154 }
155 },
156 {
157 "type": "verification/government-id",
158 "id": "ver_ABC123",
159 "attributes": {
160 "status": "failed",
161 "created-at": "2023-05-26T16:49:43.000Z",
162 "created-at-ts": 1685119783,
163 "submitted-at": "2023-05-26T16:49:43.000Z",
164 "submitted-at-ts": 1685119783,
165 "completed-at": "2023-05-26T16:49:43.000Z",
166 "completed-at-ts": 1685119783,
167 "country-code": null,
168 "entity-confidence-score": 0,
169 "entity-confidence-reasons": [
170 "generic"
171 ],
172 "front-photo-url": "https://files.withpersona.com/image.jpg?access_token=ACCESS_ABC123",
173 "back-photo-url": "https://files.withpersona.com/image.jpg?access_token=ACCESS_ABC123",
174 "photo-urls": [
175 {
176 "page": "front",
177 "url": "https://files.withpersona.com/image.jpg?access_token=ACCESS_ABC123",
178 "normalized-url": "https://files.withpersona.com/image.jpg?access_token=ACCESS_ABC123",
179 "original-urls": [
180 "https://files.withpersona.com/image.png?access_token=ACCESS_ABC123"
181 ],
182 "byte-size": 62347
183 },
184 {
185 "page": "back",
186 "url": "https://files.withpersona.com/image.jpg?access_token=ACCESS_ABC123",
187 "normalized-url": "https://files.withpersona.com/image.jpg?access_token=ACCESS_ABC123",
188 "original-urls": [
189 "https://files.withpersona.com/image.png?access_token=ACCESS_ABC123"
190 ],
191 "byte-size": 62347
192 }
193 ],
194 "selfie-photo": null,
195 "selfie-photo-url": null,
196 "video-url": null,
197 "id-class": null,
198 "capture-method": "api",
199 "expiration-date": null,
200 "endorsements": null,
201 "restrictions": null,
202 "vehicle-class": null,
203 "checks": [
204 {
205 "name": "id_aamva_database_lookup",
206 "status": "not_applicable",
207 "reasons": [
208 "disabled"
209 ],
210 "requirement": "not_required",
211 "metadata": {}
212 },
213 {
214 "name": "id_account_comparison",
215 "status": "not_applicable",
216 "reasons": [
217 "no_account"
218 ],
219 "requirement": "not_required",
220 "metadata": {}
221 },
222 {
223 "name": "id_age_comparison",
224 "status": "not_applicable",
225 "reasons": [
226 "missing_birthdate"
227 ],
228 "requirement": "not_required",
229 "metadata": {}
230 },
231 {
232 "name": "id_barcode_detection",
233 "status": "failed",
234 "reasons": [
235 "barcode_not_decoded"
236 ],
237 "requirement": "not_required",
238 "metadata": {}
239 },
240 {
241 "name": "id_barcode_inconsistency_detection",
242 "status": "not_applicable",
243 "reasons": [
244 "barcode_not_decoded"
245 ],
246 "requirement": "not_required",
247 "metadata": {}
248 },
249 {
250 "name": "id_blur_detection",
251 "status": "passed",
252 "reasons": [],
253 "requirement": "not_required",
254 "metadata": {}
255 },
256 {
257 "name": "id_color_inconsistency_detection",
258 "status": "passed",
259 "reasons": [],
260 "requirement": "not_required",
261 "metadata": {}
262 },
263 {
264 "name": "id_disallowed_country_detection",
265 "status": "not_applicable",
266 "reasons": [
267 "no_country"
268 ],
269 "requirement": "required",
270 "metadata": {}
271 },
272 {
273 "name": "id_disallowed_type_detection",
274 "status": "failed",
275 "reasons": [
276 "type_not_detected"
277 ],
278 "requirement": "required",
279 "metadata": {
280 "country-code": null,
281 "detected-id-designations": [],
282 "disallowed-id-designations": []
283 }
284 },
285 {
286 "name": "id_double_side_detection",
287 "status": "failed",
288 "reasons": [
289 "side_submitted_twice"
290 ],
291 "requirement": "not_required",
292 "metadata": {}
293 },
294 {
295 "name": "id_electronic_replica_detection",
296 "status": "failed",
297 "reasons": [
298 "replica_detected"
299 ],
300 "requirement": "not_required",
301 "metadata": {}
302 },
303 {
304 "name": "id_entity_detection",
305 "status": "failed",
306 "reasons": [
307 "cannot_verify_id"
308 ],
309 "requirement": "required",
310 "metadata": {}
311 },
312 {
313 "name": "id_expired_detection",
314 "status": "not_applicable",
315 "reasons": [
316 "no_expiration_date"
317 ],
318 "requirement": "required",
319 "metadata": {}
320 },
321 {
322 "name": "id_extraction_inconsistency_detection",
323 "status": "not_applicable",
324 "reasons": [
325 "missing_properties"
326 ],
327 "requirement": "not_required",
328 "metadata": {
329 "check-requirements": []
330 }
331 },
332 {
333 "name": "id_extracted_properties_detection",
334 "status": "not_applicable",
335 "reasons": [
336 "no_required_properties"
337 ],
338 "requirement": "not_required",
339 "metadata": {}
340 },
341 {
342 "name": "id_fabrication_detection",
343 "status": "passed",
344 "reasons": [],
345 "requirement": "not_required",
346 "metadata": {}
347 },
348 {
349 "name": "id_glare_detection",
350 "status": "failed",
351 "reasons": [
352 "too_much_glare"
353 ],
354 "requirement": "not_required",
355 "metadata": {}
356 },
357 {
358 "name": "id_handwriting_detection",
359 "status": "passed",
360 "reasons": [],
361 "requirement": "not_required",
362 "metadata": {}
363 },
364 {
365 "name": "id_inquiry_comparison",
366 "status": "not_applicable",
367 "reasons": [
368 "no_inquiry"
369 ],
370 "requirement": "not_required",
371 "metadata": {}
372 },
373 {
374 "name": "id_mrz_detection",
375 "status": "not_applicable",
376 "reasons": [],
377 "requirement": "required",
378 "metadata": {}
379 },
380 {
381 "name": "id_mrz_inconsistency_detection",
382 "status": "not_applicable",
383 "reasons": [
384 "mrz_not_found"
385 ],
386 "requirement": "not_required",
387 "metadata": {}
388 },
389 {
390 "name": "id_number_format_inconsistency_detection",
391 "status": "not_applicable",
392 "reasons": [
393 "invalid_country"
394 ],
395 "requirement": "not_required",
396 "metadata": {}
397 },
398 {
399 "name": "id_po_box_detection",
400 "status": "not_applicable",
401 "reasons": [
402 "missing_address"
403 ],
404 "requirement": "not_required",
405 "metadata": {}
406 },
407 {
408 "name": "id_portrait_clarity_detection",
409 "status": "not_applicable",
410 "reasons": [],
411 "requirement": "required",
412 "metadata": {}
413 },
414 {
415 "name": "id_portrait_detection",
416 "status": "failed",
417 "reasons": [
418 "portrait_not_found"
419 ],
420 "requirement": "required",
421 "metadata": {}
422 },
423 {
424 "name": "id_real_id_detection",
425 "status": "not_applicable",
426 "reasons": [
427 "disabled"
428 ],
429 "requirement": "not_required",
430 "metadata": {}
431 },
432 {
433 "name": "id_tamper_detection",
434 "status": "passed",
435 "reasons": [],
436 "requirement": "not_required",
437 "metadata": {}
438 },
439 {
440 "name": "id_unprocessable_submission_detection",
441 "status": "passed",
442 "reasons": [],
443 "requirement": "not_required",
444 "metadata": {}
445 },
446 {
447 "name": "id_valid_dates_detection",
448 "status": "not_applicable",
449 "reasons": [],
450 "requirement": "not_required",
451 "metadata": {}
452 },
453 {
454 "name": "id_age_inconsistency_detection",
455 "status": "not_applicable",
456 "reasons": [
457 "disabled"
458 ],
459 "requirement": "not_required",
460 "metadata": {}
461 },
462 {
463 "name": "id_compromised_detection",
464 "status": "passed",
465 "reasons": [],
466 "requirement": "required",
467 "metadata": {}
468 },
469 {
470 "name": "id_inconsistent_repeat_detection",
471 "status": "not_applicable",
472 "reasons": [
473 "not_enabled"
474 ],
475 "requirement": "not_required",
476 "metadata": {}
477 },
478 {
479 "name": "id_public_figure_detection",
480 "status": "passed",
481 "reasons": [],
482 "requirement": "not_required",
483 "metadata": {}
484 },
485 {
486 "name": "id_repeat_detection",
487 "status": "not_applicable",
488 "reasons": [
489 "not_enabled"
490 ],
491 "requirement": "not_required",
492 "metadata": {}
493 },
494 {
495 "name": "id_selfie_comparison",
496 "status": "not_applicable",
497 "reasons": [
498 "no_selfie"
499 ],
500 "requirement": "required",
501 "metadata": {}
502 }
503 ]
504 },
505 "relationships": {
506 "inquiry": {
507 "data": null
508 },
509 "template": {
510 "data": null
511 },
512 "inquiry-template-version": {
513 "data": null
514 },
515 "inquiry-template": {
516 "data": null
517 },
518 "verification-template": {
519 "data": {
520 "type": "verification-template/government-id",
521 "id": "vtmpl_ABC123"
522 }
523 },
524 "verification-template-version": {
525 "data": {
526 "type": "verification-template-version/government-id",
527 "id": "vtmplv_ABC123"
528 }
529 },
530 "document": {
531 "data": {
532 "type": "document/government-id",
533 "id": "doc_ABC123"
534 }
535 }
536 }
537 }
538 ]
539}
Retrieves the details of an existing Transaction.
Was this page helpful?
Previous

Redact a Transaction

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

transaction-idstringRequired
ID of the transaction to retrieve.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Response

This endpoint returns a Transaction object and (optionally) its related objects in included.

dataobject
includedlist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.